# Constant Field Values

## Contents

- edu.hws.*

## edu.hws.*

edu.hws.jcm.awt.Animator
Modifier and Type
Constant Field
Value
`public static final int`
`BACK_AND_FORTH`
`2`
`public static final int`
`HORIZONTAL`
`0`
`public static final int`
`LOOP`
`1`
`public static final int`
`LOOP_CHOICE`
`128`
`public static final int`
`NEXT_BUTTON`
`16`
`public static final int`
`ONCE`
`0`
`public static final int`
`PAUSE_BUTTON`
`4`
`public static final int`
`PREV_BUTTON`
`32`
`public static final int`
`SPEED_CHOICE`
`64`
`public static final int`
`START_BUTTON`
`2`
`public static final int`
`START_STOP_BUTTON`
`1`
`public static final int`
`STOP_BUTTON`
`8`
`public static final int`
`VERTICAL`
`1`
edu.hws.jcm.awt.VariableInput
Modifier and Type
Constant Field
Value
`public static final int`
`EXPRESSION`
`0`
`public static final int`
`INTEGER`
`2`
`public static final int`
`REAL`
`1`

edu.hws.jcm.data.ExpressionProgram
Modifier and Type
Constant Field
Value
`public static final int`
`ABS`
`-26`
`public static final int`
`AND`
`-12`
`public static final int`
`ARCCOS`
`-24`
`public static final int`
`ARCSIN`
`-23`
`public static final int`
`ARCTAN`
`-25`
`public static final int`
`CEILING`
`-35`
`public static final int`
`COS`
`-18`
`public static final int`
`COT`
`-20`
`public static final int`
`CSC`
`-22`
`public static final int`
`CUBERT`
`-36`
`public static final int`
`DIVIDE`
`-4`
`public static final int`
`EQ`
`-6`
`public static final int`
`EXP`
`-28`
`public static final int`
`FACTORIAL`
`-16`
`public static final int`
`FLOOR`
`-34`
`public static final int`
`GE`
`-11`
`public static final int`
`GT`
`-9`
`public static final int`
`LE`
`-10`
`public static final int`
`LN`
`-29`
`public static final int`
`LOG10`
`-31`
`public static final int`
`LOG2`
`-30`
`public static final int`
`LT`
`-8`
`public static final int`
`MINUS`
`-2`
`public static final int`
`NE`
`-7`
`public static final int`
`NOT`
`-14`
`public static final int`
`OR`
`-13`
`public static final int`
`PLUS`
`-1`
`public static final int`
`POWER`
`-5`
`public static final int`
`ROUND`
`-33`
`public static final int`
`SEC`
`-21`
`public static final int`
`SIN`
`-17`
`public static final int`
`SQRT`
`-27`
`public static final int`
`TAN`
`-19`
`public static final int`
`TIMES`
`-3`
`public static final int`
`TRUNC`
`-32`
`public static final int`
`UNARY_MINUS`
`-15`
edu.hws.jcm.data.Parser
Modifier and Type
Constant Field
Value
`public static final int`
`BOOLEANS`
`32`
`public static final int`
`BRACES`
`16`
`public static final int`
`BRACKETS`
`8`
`public static final int`
`CASE_SENSITIVE`
`1`
`public static final int`
`DEFAULT_OPTIONS`
`1056`
`public static final int`
`FACTORIAL`
`64`
`public static final int`
`NO_DIGITS_IN_IDENTIFIERS`
`256`
`public static final int`
`NO_UNDERSCORE_IN_IDENTIFIERS`
`128`
`public static final int`
`OPTIONAL_PARENS`
`512`
`public static final int`
`OPTIONAL_SPACES`
`4`
`public static final int`
`OPTIONAL_STARS`
`2`
`public static final int`
`STANDARD_FUNCTIONS`
`1024`
edu.hws.jcm.data.ParserContext
Modifier and Type
Constant Field
Value
`public static final int`
`END_OF_STRING`
`1`
`public static final int`
`IDENTIFIER`
`3`
`public static final int`
`NUMBER`
`2`
`public static final int`
`OPCHARS`
`4`

edu.hws.jcm.draw.Axes
Modifier and Type
Constant Field
Value
`public static final int`
`BOTTOM`
`1`
`public static final int`
`CENTER`
`4`
`public static final int`
`LEFT`
`2`
`public static final int`
`RIGHT`
`3`
`public static final int`
`SMART`
`5`
`public static final int`
`TOP`
`0`
edu.hws.jcm.draw.CoordinateRect
Modifier and Type
Constant Field
Value
`public static final int`
`XMAX`
`1`
`public static final int`
`XMIN`
`0`
`public static final int`
`YMAX`
`3`
`public static final int`
`YMIN`
`2`
edu.hws.jcm.draw.DraggablePoint
Modifier and Type
Constant Field
Value
`public static final int`
`CROSS`
`2`
`public static final int`
`DISK`
`0`
`public static final int`
`SQUARE`
`1`
edu.hws.jcm.draw.DrawGeometric
Modifier and Type
Constant Field
Value
`public static final int`
`CROSS`
`11`
`public static final int`
`INFINITE_LINE_ABSOLUTE`
`1`
`public static final int`
`INFINITE_LINE_RELATIVE`
`5`
`public static final int`
`LINE_ABSOLUTE`
`0`
`public static final int`
`LINE_CENTERED`
`8`
`public static final int`
`LINE_RELATIVE`
`4`
`public static final int`
`OVAL_ABSOLUTE`
`3`
`public static final int`
`OVAL_CENTERED`
`10`
`public static final int`
`OVAL_RELATIVE`
`7`
`public static final int`
`RECT_ABSOLUTE`
`2`
`public static final int`
`RECT_CENTERED`
`9`
`public static final int`
`RECT_RELATIVE`
`6`
edu.hws.jcm.draw.DrawString
Modifier and Type
Constant Field
Value
`public static final int`
`BOTTOM_CENTER`
`9`
`public static final int`
`BOTTOM_LEFT`
`8`
`public static final int`
`BOTTOM_RIGHT`
`10`
`public static final int`
`CENTER`
`5`
`public static final int`
`CENTER_CENTER`
`5`
`public static final int`
`CENTER_LEFT`
`4`
`public static final int`
`CENTER_RIGHT`
`6`
`public static final int`
`LEFT`
`0`
`public static final int`
`RIGHT`
`2`
`public static final int`
`TOP_CENTER`
`1`
`public static final int`
`TOP_LEFT`
`0`
`public static final int`
`TOP_RIGHT`
`2`
edu.hws.jcm.draw.LimitControlPanel
Modifier and Type
Constant Field
Value
`public static final int`
`ALL_BUTTONS`
`63`
`public static final int`
`EQUALIZE`
`2`
`public static final int`
`RESTORE`
`32`
`public static final int`
`SAVE`
`16`
`public static final int`
`SET_LIMITS`
`1`
`public static final int`
`ZOOM_IN`
`4`
`public static final int`
`ZOOM_OUT`
`8`
edu.hws.jcm.draw.RiemannSumRects
Modifier and Type
Constant Field
Value
`public static final int`
`CIRCUMSCRIBED`
`3`
`public static final int`
`CURRENT_METHOD`
`-1`
`public static final int`
`INSCRIBED`
`4`
`public static final int`
`LEFTENDPOINT`
`0`
`public static final int`
`MIDPOINT`
`2`
`public static final int`
`RIGHTENDPOINT`
`1`
`public static final int`
`TRAPEZOID`
`5`
edu.hws.jcm.draw.ScatterPlot
Modifier and Type
Constant Field
Value
`public static final int`
`CORRELATION`
`5`
`public static final int`
`DATACT`
`2`
`public static final int`
`INTERCEPT`
`0`
`public static final int`
`MISSINGCT`
`3`
`public static final int`
`SLOPE`
`1`
`public static final int`
`STANDARDERROR`
`4`
edu.hws.jcm.draw.VectorField
Modifier and Type
Constant Field
Value
`public static final int`
`ARROWS`
`0`
`public static final int`
`CLAMPED_VECTORS`
`2`
`public static final int`
`LINES`
`1`
`public static final int`
`SCALED_LINES`
`3`
`public static final int`
`SCALED_VECTORS`
`4`

edu.hws.jcm.functions.TableFunction
Modifier and Type
Constant Field
Value
`public static final int`
`PIECEWISE_LINEAR`
`1`
`public static final int`
`SMOOTH`
`0`
`public static final int`
`STEP`
`2`
`public static final int`
`STEP_LEFT`
`3`
`public static final int`
`STEP_RIGHT`
`4`